Get Document
get
/v1/graphs/{graph_id}/documents/{document_id}Part of Documents.
Authentication
Authenticate in any one of these ways — not all of them:
- API key in the
X-API-Keyheader. - Bearer token in the
Authorizationheader.
Path parameters
| Name | Type | Description |
|---|---|---|
graph_idrequired | string | Graph Id |
document_idrequired | string | Document Id |
Example request
curl
curl -X GET "https://api.robosystems.ai/v1/graphs/{graph_id}/documents/{document_id}" \
-H "X-API-Key: $ROBOSYSTEMS_API_KEY"Responses
200 Successful Response
| Field | Type | Description |
|---|---|---|
idrequired | string | |
graph_idrequired | string | |
user_idrequired | string | |
titlerequired | string | |
contentrequired | string | |
tagsoptional | string[] | |
folderoptional | string | |
external_idoptional | string | |
source_typerequired | string | |
source_provideroptional | string | |
sections_indexedrequired | integer | |
created_atrequired | string | |
updated_atrequired | string |
| Status | Meaning |
|---|---|
| 400 | Invalid request |
| 401 | Authentication required |
| 403 | Access denied |
| 404 | Resource not found |
| 422 | Validation Error |
| 429 | Rate limit exceeded |
| 500 | Internal server error |